## ros-noetic-robot-calibration 0.7.2

=== test/CMakeLists.txt ===
if(CATKIN_ENABLE_TESTING)

find_package(rostest REQUIRED)

catkin_add_gtest(calibration_offset_parser_tests calibration_offset_parser_tests.cpp)
target_link_libraries(calibration_offset_parser_tests robot_calibration
                                                      ${Boost_LIBRARIES}
                                                      ${catkin_LIBRARIES}
                                                      ${orocos_kdl_LIBRARIES}
                                                      ${tinyxml_LIBRARIES})

catkin_add_gtest(chain_model_tests chain_model_tests.cpp)
target_link_libraries(chain_model_tests robot_calibration
                                     ${Boost_LIBRARIES}
                                     ${catkin_LIBRARIES}
                                     ${CERES_LIBRARIES}
                                     ${orocos_kdl_LIBRARIES})

catkin_add_gtest(rotation_tests rotation_tests.cpp)
target_link_libraries(rotation_tests robot_calibration
                                     ${Boost_LIBRARIES}
                                     ${catkin_LIBRARIES}
                                     ${CERES_LIBRARIES}
                                     ${orocos_kdl_LIBRARIES})

add_executable(camera_info_tests camera_info_tests.cpp)
add_dependencies(tests camera_info_tests)
target_link_libraries(camera_info_tests robot_calibration
                                  ${Boost_LIBRARIES}
                                  ${catkin_LIBRARIES}
                                  ${GTEST_LIBRARIES})

add_executable(chain_manager_tests chain_manager_tests.cpp)
add_dependencies(tests chain_manager_tests)
target_link_libraries(chain_manager_tests robot_calibration
                                          ${Boost_LIBRARIES}
                                          ${catkin_LIBRARIES}
                                          ${GTEST_LIBRARIES})

add_executable(error_block_tests error_block_tests.cpp)
add_dependencies(tests error_block_tests)
target_link_libraries(error_block_tests robot_calibration
                                        ${Boost_LIBRARIES}
                                        ${catkin_LIBRARIES}
                                        ${CERES_LIBRARIES}
                                        ${GTEST_LIBRARIES}
                                        ${orocos_kdl_LIBRARIES})

add_executable(error_block_tests2 error_block_tests2.cpp)
add_dependencies(tests error_block_tests2)
target_link_libraries(error_block_tests2 robot_calibration
                                         ${Boost_LIBRARIES}
                                         ${catkin_LIBRARIES}
                                         ${CERES_LIBRARIES}
                                         ${GTEST_LIBRARIES}
                                         ${orocos_kdl_LIBRARIES})

add_executable(feature_finder_loader_tests feature_finder_loader_tests.cpp)
add_dependencies(tests feature_finder_loader_tests)
target_link_libraries(feature_finder_loader_tests robot_calibration
                                                  ${Boost_LIBRARIES}
                                                  ${catkin_LIBRARIES}
                                                  ${GTEST_LIBRARIES})

add_executable(optimization_param_tests optimization_param_tests.cpp)
add_dependencies(tests optimization_param_tests)
target_link_libraries(optimization_param_tests robot_calibration
                                               ${Boost_LIBRARIES}
                                               ${catkin_LIBRARIES}
                                               ${GTEST_LIBRARIES})

add_rostest(camera_info_tests.test)
add_rostest(chain_manager_tests.test)
add_rostest(feature_finder_loader_tests.test)
add_rostest(optimization_param_tests.test)
add_rostest(error_block_tests.test)
add_rostest(error_block_tests2.test)

if(ENABLE_COVERAGE_TESTING)
  set(COVERAGE_EXCLUDES "*/${PROJECT_NAME}/test*")
  add_code_coverage(
    NAME ${PROJECT_NAME}_coverage_report
    DEPENDS tests
  )
endif()

endif()  # if CATKIN_ENABLE_TESTING

=== debian/changelog ===
ros-noetic-robot-calibration (0.7.2-1focal) focal; urgency=high

  * calibrate falling attributes as well if they exist (#144 <https://github.com/mikeferguson/robot_calibration/issues/144>)
    For continuous joints actually both flags could be specified.
  * Changes for Ubuntu 22.04 (#141 <https://github.com/mikeferguson/robot_calibration/issues/141>)
    * no longer use c++11
    * Add missing boost header
    * Switch to non deprecated pluginlib header
  * Contributors: Jochen Sprickerhof, Michael Görner

 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 23 Dec 2022 05:00:00 -0000

ros-noetic-robot-calibration (0.7.1-1focal) focal; urgency=high

  * enhance alignment (#130 <https://github.com/mikeferguson/robot_calibration/issues/130>)
    * handle NANs in laser data
    * add r2_tolerance
    * add spinOnce so that we can run single threaded
    * exit loop if shutting down
  * fix regression in manual calibration (#129 <https://github.com/mikeferguson/robot_calibration/issues/129>)
  * fix warnings reported on ros.org buildfarm (#128 <https://github.com/mikeferguson/robot_calibration/issues/128>)
  * improve base calibration alignment (#127 <https://github.com/mikeferguson/robot_calibration/issues/127>)
    * add feature to align to arbitrary angle
    * parameterize things, including verbose
  * refactor base_calibration into separate class (#126 <https://github.com/mikeferguson/robot_calibration/issues/126>)
  * major refactor into re-usable components (#125 <https://github.com/mikeferguson/robot_calibration/issues/125>)
    * add getPosesFromBag function
    * add captureManager to clean up code and improve re-usability
    * split out exportResults as a function
    * for all models, renamed name() to getName(), added getType() function
    * add getCameraNames() function to optimizer, so that we can:
    * output camera calibrations for ALL cameras
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 15 Jun 2022 04:00:00 -0000

ros-noetic-robot-calibration (0.7.0-1focal) focal; urgency=high

  * filter planes by closeness to desired normal (#124 <https://github.com/mikeferguson/robot_calibration/issues/124>)
  * add finder for laser scan data (#123 <https://github.com/mikeferguson/robot_calibration/issues/123>)
    best way to use this right now is to create point laser scanner at a
    wall, create a plane from the laser scan, and align it with a plane
    that has been seen by a camera
  * sample observation more evenly (#122 <https://github.com/mikeferguson/robot_calibration/issues/122>)
    the plane finder previously took points that were equally distributed by
    point cloud index - however this doesn't actually always represent a
    point cloud that is geometry well distributed. change the sampling so
    that we make one or more passes through the cloud sampling points that
    are at least a minimum distance away from the already sampled points
  * refactor plane finder (#121 <https://github.com/mikeferguson/robot_calibration/issues/121>)
    * use new eigen_geometry.h functions
    * use ransac to find the best plane
  * refactor and improve plane_to_plane cost function (#120 <https://github.com/mikeferguson/robot_calibration/issues/120>)
    * use Eigen rather than OpenCV
    * break plane parameter functions into separate header for reuse
    * make final residual distance between planes
    * make plane parameters always in same direction
  * make it easier to exit out of calibration (#119 <https://github.com/mikeferguson/robot_calibration/issues/119>)
  * parameterize max_num_iterations (#118 <https://github.com/mikeferguson/robot_calibration/issues/118>)
  * add chain3dToMesh calibration (#116 <https://github.com/mikeferguson/robot_calibration/issues/116>)
    * add cost function
    * add mesh loader utilities
    * add node to visualize meshes load
  * allow using the same camera model with different finders (#112 <https://github.com/mikeferguson/robot_calibration/issues/112>)
    the use case here is that a single camera is used in multiple
    finders. When that happens we want the same parameters to
    be used when calibrating the camera intrinsics, but we
    need a different camera name to differentiate which
    observation should be associated with which error block
    (this is especially true for the upcoming robot/plane
    finder)
  * add robot finder (#111 <https://github.com/mikeferguson/robot_calibration/issues/111>)
    The robot finder can be used to find the base of the robot and the floor at the same time
  * increase marker size (#117 <https://github.com/mikeferguson/robot_calibration/issues/117>)
  * minor improvements and fixes for viz node (#110 <https://github.com/mikeferguson/robot_calibration/issues/110>)
    * move publishers earlier and make latching
    * don't crash if no points in observation after projecting
  * refactor and improve plane finder (#109 <https://github.com/mikeferguson/robot_calibration/issues/109>)
    * break up the find() function so that it is more re-usable
    * change points_max parameter to an integer rather than double
    * actually find the plane rather than just assuming everything is part of the plane
  * bump cmake version to silence warnings on noetic (#107 <https://github.com/mikeferguson/robot_calibration/issues/107>)
  * Updated the press key message (#106 <https://github.com/mikeferguson/robot_calibration/issues/106>)
  * Add exception when the chain cannot be created (#105 <https://github.com/mikeferguson/robot_calibration/issues/105>)
  * Contributors: Gerardo Puga, Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 20 Apr 2022 04:00:00 -0000

ros-noetic-robot-calibration (0.6.5-1focal) focal; urgency=high

  * add support for static camera calibration (#101 <https://github.com/mikeferguson/robot_calibration/issues/101>)
  * remove references to chain3d_to_arm (#99 <https://github.com/mikeferguson/robot_calibration/issues/99>)


=== debian/control ===
Source: ros-noetic-robot-calibration
Section: misc
Priority: optional
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), libceres-dev, libeigen3-dev, libgflags-dev, liborocos-kdl-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-noetic-actionlib, ros-noetic-camera-calibration-parsers, ros-noetic-catkin, ros-noetic-code-coverage <!nocheck>, ros-noetic-control-msgs, ros-noetic-cv-bridge, ros-noetic-geometric-shapes, ros-noetic-geometry-msgs, ros-noetic-kdl-parser, ros-noetic-moveit-msgs, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-robot-calibration-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Homepage: http://ros.org/wiki/robot_calibration
Standards-Version: 3.9.2

Package: ros-noetic-robot-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libceres-dev, libgflags-dev, liborocos-kdl-dev, libprotobuf-dev, libprotoc-dev, libsuitesparse-dev, protobuf-compiler, ros-noetic-actionlib, ros-noetic-camera-calibration-parsers, ros-noetic-control-msgs, ros-noetic-cv-bridge, ros-noetic-geometric-shapes, ros-noetic-geometry-msgs, ros-noetic-kdl-parser, ros-noetic-moveit-msgs, ros-noetic-nav-msgs, ros-noetic-pluginlib, ros-noetic-robot-calibration-msgs, ros-noetic-rosbag, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf2-geometry-msgs, ros-noetic-tf2-ros, ros-noetic-visualization-msgs
Description: Calibrate a Robot
